BLK_QUEUE_MAX_HW(9)

NAME
blk_queue_max_hw_segments - set max hw segments for a request for this queue

SYNOPSIS

void blk_queue_max_hw_segments (request_queue_t * q, unsigned short max_segments);

ARGUMENTS

q   the request queue for the device

max_segments
    max number of segments

DESCRIPTION

Enables a low level driver to set an upper limit on the number of hw data segments in a request. This would be the largest number of address/length pairs the host adapter can actually give as once to the device.